com.fasterxml.jackson.databind

## Class JsonSerializable.Base

- java.lang.Object
- - com.fasterxml.jackson.databind.JsonSerializable.Base

- All Implemented Interfaces:
    JsonSerializable
  Direct Known Subclasses:
    JsonNode
  Enclosing interface:
    JsonSerializable

      public abstract static class JsonSerializable.Base
      extends java.lang.Object
      implements JsonSerializable

  Base class with minimal implementation, as well as couple of extension methods that core Jackson databinding makes use of. Use of this base class is strongly recommended over directly implementing `JsonSerializable`.
  Since:
    2.6

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.fasterxml.jackson.databind.JsonSerializable

      `JsonSerializable.Base`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JsonSerializable.Base()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isEmpty(SerializerProvider serializers)` Method that may be called on instance to determine if it is considered "empty" for purposes of serialization filtering or not.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.fasterxml.jackson.databind.JsonSerializable

      `serialize, serializeWithType`

- - ### Constructor Detail

    - #### JsonSerializable.Base

          public JsonSerializable.Base()

  - ### Method Detail

    - #### isEmpty

          public boolean isEmpty(SerializerProvider serializers)

      Method that may be called on instance to determine if it is considered "empty" for purposes of serialization filtering or not.